std::pmr::unsynchronized_pool_resource(3cxx)

NAME
std::pmr::unsynchronized_pool_resource - A non-thread-safe memory resource that manages pools of fixed-size blocks.

SYNOPSIS

Inherits std::pmr::memory_resource.

  Public Member Functions

unsynchronized_pool_resource (const pool_options &__opts)
unsynchronized_pool_resource (const pool_options &__opts, memory_resource *__upstream)
unsynchronized_pool_resource (const unsynchronized_pool_resource &)=delete
unsynchronized_pool_resource (memory_resource *__upstream)
void * allocate (size_t __bytes, size_t __alignment=_S_max_align)
void deallocate (void *__p, size_t __bytes, size_t __alignment=_S_max_align)
bool is_equal (const memory_resource &__other) const noexcept
unsynchronized_pool_resource & operator= (const unsynchronized_pool_resource &)=delete
pool_options options () const noexcept
void release ()
memory_resource * upstream_resource () const noexcept

  Protected Member Functions

void * do_allocate (size_t __bytes, size_t __alignment) override
void do_deallocate (void *__p, size_t __bytes, size_t __alignment) override
bool do_is_equal (const memory_resource &__other) const noexcept override

Detailed Description

A non-thread-safe memory resource that manages pools of fixed-size blocks.

Author

Generated automatically by Doxygen for libstdc++ from the source code.